import { html as h } from "lit";
import { property as n } from "lit/decorators.js";
import { PieIconComponent as m } from "./PieIconComponent.js";
import { safeCustomElement as a } from "@justeattakeaway/pie-webc-core";
var f = Object.defineProperty, v = Object.getOwnPropertyDescriptor, p = (l, t, r, s) => {
  for (var e = s > 1 ? void 0 : s ? v(t, r) : t, i = l.length - 1, c; i >= 0; i--)
    (c = l[i]) && (e = (s ? c(t, r, e) : c(e)) || e);
  return s && e && f(t, r, e), e;
};
let o = class extends m {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--policies", this.class = "c-pieIcon c-pieIcon--policies", this.name = "IconPolicies";
  }
  render() {
    return h`<svg width="${this._svgWidth}" height="${this._svgHeight}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--policies"><path d="M9.75 2.094H2.094V14.78h11.812V6.25A4.156 4.156 0 0 0 9.75 2.094Zm2.756 3.5h-2.1v-2.1a2.826 2.826 0 0 1 2.1 2.1Zm-9.1 7.875V3.406h5.688v3.5h3.5v6.563H3.406ZM8 7.78H5.375V6.47H8V7.78ZM5.375 9.094h5.25v1.312h-5.25V9.094Z"></path></svg>`;
  }
};
p([
  n({ type: String, reflect: !0 })
], o.prototype, "size", 2);
p([
  n({ type: String, reflect: !0 })
], o.prototype, "class", 2);
o = p([
  a("icon-policies")
], o);
export {
  o as IconPolicies
};
